Ваш сайт на Joomla 1.5 (2.5) находится под постоянными атаками? На страницах обнаруживаются непонятные ссылки, Yandex подозревает в атаках на компьютеры посетителей а хостер обвиняет в рассылке спама? Вы не можете воспользоваться новыми компонентами Joomla и обновить старые?

Пришло время для миграции!

Решив обновить старую версию до новейшей 3.x вы обнаружите (если заранее не знаете), что это не так просто, как кажется. Разные версии используют разный формат баз данных, отличающуюся структуру каталогов различную структуру файлов, и в результате, не совместимы между собой. Необходимость обновить сайт на лицо, но терять собраную на сайте информацию и ссылочную массу не хочется, а переносить вручную займет нереально долгое время?.

Я решу для вас эту проблему - перенесу ваш сайт с Joomla 1.5 или 2.5 на 3.x, без потери данных и ссылочной массы.

Joomla 2.5 или 3.x?

Joomla 2.5 более не поддерживается, обновления и расширения для нее не выпускаются. так что ответ однозначен - только последняя версия Joomla 3.x.